newObject(PlayChatMenu, ChatMenu, "Root Menu:");
newObject(CommandChatMenu, ChatMenu, "Command Menu");

function setPlayChatMenu(%heading)
{
   $curPlayChatMenu = %heading;
}

function setCommanderChatMenu(%heading)
{
   $curCommanderChatMenu = %heading;
}

function addPlayTeamChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 1, %msg);
}

function addPlayChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 0, %msg);
}

function addPlayAnim(%text, %anim, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, messageAndAnimate, %anim, %sound);
}

function addLocal(%text, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, localMessage, %sound);
}

function addPlayCMDResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curPlayChatMenu != "")
      %text = $curPlayChatMenu @ "\\" @ %text;
   addCMCommand(PlayChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}

function addCommandResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}


function addContextCommand(%text, %type)
{
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, contextCommand, %type);
}

function addCommand(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, setIssueCommand, %action, %msg);
}

// Player Chat menu

setPlayChatMenu("vOffense");
		addPlayTeamChat("aAttack!","Attack!", attack);
		addPlayTeamChat("nAttack the enemy","Attack the enemy", attenem);
		addPlayTeamChat("bAttack enemy base","Attack the enemy base", attbase);
		addPlayTeamChat("jAttack objective","Attack objective", attobj);
		addPlayTeamChat("kCapture the objective", "Capture the objective!", capobj);
		addPlayTeamChat("sGet the objective", "Get the objective", getobj);
		addPlayTeamChat("wWait for signal", "Wait for my signal to attack.", waitsig);
		addPlayTeamChat("cCease fire", "Cease fire!", cease);
		addPlayTeamChat("mMove out", "Move out.", moveout);
		addPlayTeamChat("rRetreat", "Retreat!", retreat);
		addPlayTeamChat("hHit deck", "Hit the deck!", hitdeck);
		addPlayTeamChat("eRegroup", "Regroup.", regroup);
		addPlayTeamChat("vCover me", "Cover me!", coverme);
		addPlayTeamChat("gGoing offense", "Going offense.", ono);
		addPlayTeamChat("oGoing on offense", "Go on the offensive.", gooff);
		addPlayTeamChat("tTake Cover", "Take cover!", takcovr);
		addPlayTeamChat("xBoard APC", "Board APC.", boarda);
		addPlayTeamChat("zAPC ready", "APC ready to go... waiting for passengers.", waitpas);

setPlayChatMenu("tTarget");
		addPlayTeamChat("aTarget acquired", "Target Acquired", tgtacq);
		addPlayTeamChat("fFire on my target", "Fire on my target", firetgt);
		addPlayTeamChat("nTarget needed", "I need a target.", needtgt);
		addPlayTeamChat("oTarget out of range", "Target out of range.", tgtout);
		addPlayTeamChat("dDestroy Enemy Generator", "Destroy the enemy genarator.", desgen);
		addPlayTeamChat("eEnemy Generator Destroyed", "Enemy generator destroyed.", gendes);
		addPlayTeamChat("tDestroy Enemy Turret", "Destroy enemy turret.", destur);
		addPlayTeamChat("sEnemy Turret Destroyed", "Enemy turret destroyed.", turdes);

setPlayChatMenu("dDefense");
		addPlayTeamChat("iIncoming Enemies", "Incoming enemies!", incom2);
		addPlayTeamChat("aWe're being attacked", "We are being attacked.", basatt);
		addPlayTeamChat("eEnemy is attacking base", "The enemy is attacking our base.", basundr);
		addPlayTeamChat("nNeed more defense", "We need more defense.", needdef);
		addPlayTeamChat("bDefend our base", "Defend our base.", defbase);
		addPlayTeamChat("dDefending base", "Defending our base.", defend);
		addPlayTeamChat("gGo on the defensive", "Go on the defensive.", godef);
		addPlayTeamChat("tBase Taken", "Base is taken.", basetkn);
		addPlayTeamChat("cBase Clear", "Base is secured.", bsclr2);
		addPlayTeamChat("qIs Base Clear?", "Is our base clear?", isbsclr);
		addPlayTeamChat("oDefend Objective", "Defend objective.", defobj);

setPlayChatMenu("fFlag");
		addPlayTeamChat("gFlag gone", "Our flag is not in the base!", flgtkn1);
		addPlayTeamChat("eEnemy has flag", "The enemy has our flag!", flgtkm2);
		addPlayTeamChat("hHave enemy flag", "I have the enemy flag.", haveflg);
		addPlayTeamChat("sFlag secure", "Our flag is secure.", flaghm);
		addPlayTeamChat("rReturn our flag", "Return our flag to base.", retflag);
		addPlayTeamChat("fGet enemy flag", "Get the enemy flag.", geteflg);
		addPlayTeamChat("mFlag mined", "Our flag is mined.", flgmine);
		addPlayTeamChat("cClear mines", "Clear the mines from our flag.", clrflg);
		addPlayTeamChat("dMines cleared", "Mines have been cleared.", mineclr);

setPlayChatMenu("rNeed");
		addPlayTeamChat("rNeed Repairs", "Need repairs.", needrep);
		addPlayTeamChat("aNeed APC Pickup", "I need an APC pickup.", needpku);
		addPlayTeamChat("eNeed Escort", "I need an escort back to base.", needesc);
		addPlayTeamChat("tNeed Ammo", "Can anyone bring me some ammo?", needamo);
		addPlayTeamChat("oRepair Objective", "Repair objective", repobj);




setPlayChatMenu("eTeam");
		addPlayTeamChat("wWatch Shooting", "Watch where your shooting!", wshoot3);
		addPlayTeamChat("dDont know", "I don't know.", dontkno);
		addPlayTeamChat("nNo", "No.", no);
		addPlayTeamChat("yYes", "Yes.", yes);
		addPlayTeamChat("tThanks", "Thanks.", thanks);
		addPlayTeamChat("aNo Problem", "No Problem.", noprob);
		addPlayTeamChat("sSorry", "Sorry.", sorry);
		addPlayTeamChat("]Ready", "Ready", ready);
		addPlayTeamChat("eHelp", "Help!.", help);
		addPlayTeamChat("[Wait", "Wait", wait1);
		addLocal("hHurry station", hurystn);

setPlayChatMenu("gGlobal");
		addPlayChat("zDoh", "Doh!", oops1);
		addPlayChat("oOops", "Oops!", oops2);
		addPlayChat("sShazbot", "Shazbot!", color2);
		addPlayChat("qDamnit", "Damnit!", color6);
		addPlayChat("cCrap", "Ah Crap!", color7);
		addPlayChat("eDuh", "Duh.", dsgst1);
		addPlayChat("xYou Idiot", "You Idiot!", dsgst2);
		addPlayChat("yYawn", "Yawn", dsgst5);
		addPlayChat("mHmmm", "Hmmm...", color3);

setPlayChatMenu("aAnimations");
		addPlayAnim("oOver here", 0, ovrhere);
		addPlayAnim("dMove out of way", 1, outway);
		addPlayAnim("rRetreat", 2, retreat);
		addPlayAnim("sStop", 3, dsgst4);
		addPlayAnim("fSalute", 4, yes);
		addPlayAnim("zKneel Pose", 10);
		addPlayAnim("xStand Pose", 11);
		addPlayAnim("qCelebrate 1", 5, cheer1);
		addPlayAnim("eCelebrate 2", 6, cheer2);
		addPlayAnim("wCelebrate 3", 7, cheer3);
		addPlayAnim("vTaunt 1 - how'd that feel?", 8, taunt10);
		addPlayAnim("gTaunt 2 - Come get some", 9, taunt4);
		addPlayAnim("1Taunt 3 - I've had worse", 8, tautn11);
		addPlayAnim("2Taunt 4 - Dance", 9, tautn3);
		addPlayAnim("3Taunt 5 - Missed Me!", 8, taunt2);
		addPlayAnim("4Taunt 6 - Yoohoo!", 8, taunt1);
		addPlayAnim("hWave - Hi", 12, hello);
		addPlayAnim("bWave - Bye", 12, bye);




setPlayChatMenu("zCommand Response");
	addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");
	addPlayCMDResponse("zCompleted", 0, "Objective complete", "objcomp");
	addPlayCMDResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");
	addPlayCMDResponse("bBelay Order", 0, "Belay Order", "belay");
	addPlayCMDResponse("pProceed Aheah", 0, "Proceed Ahead", "proceed");
	addPlayCMDResponse("cOrder Cancelled", 0, "Order cancelled", "ordcan");





setPlayChatMenu("1Simpsons");
		addPlayChat("1[Bart] Aye Caramba", "Aye Caramba!", Bart_AyCaramba);
		addPlayChat("2[Bart] Shut yer yap", "Shut Yer Yap", Bart_ShutYerYap);
		addPlayChat("3[Bart] What's your prob", "What's your problem?", Bart_WYourProb);
		addPlayChat("4[Homer] I'm Leaving", "I'll be leaving now..", Homer_Leaving);
		addPlayChat("5[Homer] Urge to Kill", "Your dead mofo", Homer_UrgeKill);
		addPlayChat("6[Homer] Woohoo", "Woohoo!", Homer_WooHoo);
		addPlayChat("7[Moe] If I ever..", "You're soo dead.", Moe_PhoneThreat);
		addPlayChat("8[Wiggens] Tazer", "Fry him!", Wiggum_GetTazer);
		addPlayChat("9[Willie] Go to hell", "Go to hell!", willie_gotohell);
		addPlayChat("0[Nelson] Haha", "Haha!", Nelson_Haha);
		addPlayChat("a[Krusty] Hey hey", "Hey hey!", Krusty_heyhey);
		addPlayChat("b[Krusty] Laugh", "Whowhohahahaha!", Krusty_laugh);





setPlayChatMenu("2Futurama");
		addPlayChat("1[Leela]Dear god", "Oh dear god!", deargod);
		addPlayChat("2[Leela]Gotta do", "Ya gotta do what ya gotta do!", gottado);
		addPlayChat("3[Bender]Bite arse", "Bite my shiny metal arse!", bitearse);
		addPlayChat("4[Bender]Bring it on", "Bring it on!", bringiton);
		addPlayChat("5[Bender]Thank you", "Thank you!", thankyou);
		addPlayChat("6[Bender]Thank you and..", "Thank you and good night!", thanknight);
		addPlayChat("7[Fry]Poor sucks", "Being poor sucks.", poor);
		addPlayChat("8[Water Alien]New Emporer", "All hail the new emporer!", newemporer);
		addPlayChat("9[Someone]You stink", "You stink loser!", youstinkloser);





setPlayChatMenu("3Age of Empires");
		addPlayChat("1Yes", "Yes.", aoe1);
		addPlayChat("2No", "No.", aoe2);
		addPlayChat("3Need food.", "Afk. Gotta go eat.", aoe3);
		addPlayChat("4Pass wood", "You heard me.", aoe4);
		addPlayChat("5Gold please", "You owe me for that plasma gun.", aoe5);
		addPlayChat("6Gimme stone", "Gimme some stone.", aoe6);
		addPlayChat("7Futile attempts", "Your attempts are futile.", aoe8);
		addPlayChat("8Yiihooo!", "Yiihooo!.", aoe9);
		addPlayChat("9In your town", "Hey, I'm in your town.", aoe0);
		addPlayChat("0Join me", "Get on my team!", aoe12);
		addPlayChat("aDon't think so", "I don't think so.", aoe13);
		addPlayChat("bStart all ready", "What's taking you so long?", aoe14);
		addPlayChat("cWho da man", "Not you.", aoe15);
		addPlayTeamChat("dAttack! (team)", "Attack them now.", aoe16);
		addPlayChat("eHaha", "Hahaha.", aoe17);
		addPlayChat("fI'm weak", "I am weak, please don't kill me.", aoe18);
		addPlayChat("gHehe", "Hehehe.", aoe19);
		addPlayChat("hSatisfaction", "If you know what I mean.", aoe20);
		addPlayChat("iIntolerable", "We will not tolerate this behavior.", aoe22);
		addPlayChat("jGet out", "Get out", aoe23);
		addPlayChat("kBad girl", "Bad girl.", aoe24);
		addPlayChat("l Ahh yeah", "Ahh yeah.", aoe25);




setPlayChatMenu("4Army Men 2");
		addPlayChat("1Burntodeath", "*burns to death*", am1);
		addPlayChat("2Falltodeath", "*falls to a bloody grave*", am3);
		addPlayChat("3Zombie1", "*turns into a zombie*", am4);
		addPlayChat("4Whackoff", "*is whacking off*", am5);
		addPlayChat("5Zombie3", "*is a zombie*", am6);
		addPlayChat("6Afraid", "I was afraid he might say that.", am12);
		addPlayChat("7Ahh", "Ahh!", am14);
		addPlayChat("8Freeze", "Freeze!", am15);
		addPlayChat("9its the spot", "That hits the spot.", am19);
		addPlayChat("0A mortar", "A mortar!", am22);
		addPlayChat("aClose call", "That was close.", am26);
		addPlayChat("bWhat the", "What the?", am27);




setPlayChatMenu("5Army Men 2 (team)");
		addPlayTeamChat("1Thanks sarge", "Thanks, sarge!", am2);
		addPlayTeamChat("2Take cover", "This looks like a good place to take cover.", am7);
		addPlayTeamChat("3Thanks sarge(2)", "Thanks, sarge.", am8);
		addPlayTeamChat("4Where'd he go", "Where'd he go?", am9);
		addPlayTeamChat("5Search area", "Let's search the area.", am0);
		addPlayTeamChat("6Save him", "Is there any way to save him?", am11);
		addPlayTeamChat("7Explosives", "Bring in the mortars!", am13);
		addPlayTeamChat("8Trouble", "We've got trouble", am16);
		addPlayTeamChat("9Gens down", "The generators are down!", am17);
		addPlayTeamChat("0Enemy gens down", "Enemy gens down!", am18);
		addPlayTeamChat("aLock 'n Load", "Lock 'n load.", am20);
		addPlayTeamChat("bLet's go", "Let's go!", am21);
		addPlayTeamChat("cMove out", "Move out!", am23);
		addPlayTeamChat("dOn the double", "On the double!", am24);
		addPlayTeamChat("eTakin' fire", "I'm takin' fire!", am25);
		addPlayTeamChat("fYes sir", "Yes sir!", am28);





setPlayChatMenu("6Other");
		addPlayChat("6Curses", "You **** *** *** **** ***.", curses);
		addPlayChat("7DDieieiee", "Die.", die);
		addPlayChat("8Mofo", "Mofo.", mofo);



// Commander Menu

function contextIssueCommand(%action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   setIssueCommand(%action, %msg);
}

// $CommandTarget can be one of:

// waypoint
// enemy vehicle
// enemy player
// enemy static
// enemy turret
// enemy sensor
// friendly vehicle
// friendly player
// friendly static
// friendly turret
// friendly sensor


function Commander::StarCommand(%type)
{
   if(%type == "*Attack")
   {
      if($CommandTarget == "enemy static")
			contextIssueCommand(1, "Destroy enemy equipment at waypoint", "attobj"); 
      else if($CommandTarget == "enemy turret")
			contextIssueCommand(1, "Destroy enemy turret at waypoint", "attobj"); 
      else if($CommandTarget == "enemy sensor")
			contextIssueCommand(1, "Destroy enemy sensor at waypoint", "attobj"); 
      else if($CommandTarget == "enemy player" || $CommandTarget == "enemy vehicle")
         contextIssueCommand(1, "Attack enemy " @ $CommandTargetName, "attway");
      else if($CommandTarget == "friendly player")
         contextIssueCommand(1, "Cover " @ $CommandTargetName, "escfr");
      else if($CommandTarget == "friendly vehicle")
         contextIssueCommand(1, "Board APC ", "boarda");
      else
         contextIssueCommand(1, "Attack enemy forces", "attway");
   }
   else if(%type == "*Defend")
   {
		if($CommandTarget == "friendly player")
		   contextIssueCommand(2, "Defend " @ $CommandTargetName, "escfr"); 
		else
		   contextIssueCommand(2, "Defend waypoint", "defway");
   }
   else if(%type == "*Repair")
   {
		if($CommandTarget == "friendly player")
		   contextIssueCommand(2, "Repair " @ $CommandTargetName, "repplyr"); 
		else
		   contextIssueCommand(2, "Repair " @ $CommandTargetName, "repobj");
   }
}

setCommanderChatMenu("");

   addCommand("aAttack", 1, "*Attack");
   addCommand("dDefend", 2, "*Defend");
   addCommand("rRepair", 3, "*Repair");

   setCommanderChatMenu("eDeploy");
		setCommanderChatMenu("eDeploy\\sSensor");
			addCommand("pPulse sensor", 2, "Deploy pulse sensor at waypoint", "deppuls");
			addCommand("jJammer", 2, "Deploy sensor jammer at waypoint", "depjamr");
			addCommand("mMotion sensor", 2, "Deploy motion sensor at waypoint", "depmot");
			addCommand("cCamera", 2, "Deploy camera at waypoint", "depcam");
		setCommanderChatMenu("eDeploy\\aObject");
			addCommand("aAmmo", 2, "Deploy Ammo Station", "depamo");
			addCommand("iInventory", 2, "Deploy Inventory Station", "depinv");
			addCommand("tTurret", 2, "Deploy Turret", "deptur");
			addCommand("bBeacon", 2, "Deploy beacon at waypoint", "depbecn");
		setCommanderChatMenu("eDeploy");
		addCommand("vA.P.C.", 2, "Pilot APC to waypoint", "pilot");

setCommanderChatMenu("kCommand Response");
	addCommandResponse("aAcknwledged", 1, "Command acknowledged", "acknow");
	addCommandResponse("cCompleted", 0, "Objective complete", "objcomp");
	addCommandResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");